PRINTK_TIMED_RATELIM(9)

NAME
printk_timed_ratelimit - caller-controlled printk ratelimiting

SYNOPSIS

bool printk_timed_ratelimit(unsigned long * caller_jiffies, unsigned int interval_msecs);

ARGUMENTS

caller_jiffies
    pointer to caller's state

interval_msecs
    minimum interval between prints

DESCRIPTION

printk_timed_ratelimit returns true if more than interval_msecs milliseconds have elapsed since the last time printk_timed_ratelimit returned true.

COPYRIGHT